class Admin::ProjectTypesController < OrbitMemberController
  before_action :allow_admin_only
  
  def new
    @project_type = ProjectType.new
    @url = admin_project_types_path(@project_type)
    render :layout=>false
  end

  def create
    @project_type = ProjectType.new(project_type_params)
    @project_type.save
    @project_types = ProjectType.all
    render :partial=>'list', :layout=>false
  end

  def update_order
    orders = params["order"]
    ProjectType.each do |pt|
      pt.sort_position = orders["#{pt.id}"]
      pt.save
    end
    render :json => {"success" => true}.to_json
  end

  def edit
    @project_type = ProjectType.find(params[:id])
    @url = admin_project_type_path(@project_type)
    render :layout=>false
  end

  def update
    @project_type = ProjectType.find(params[:id])
    @project_type.update_attributes(project_type_params)
    @project_type.save
    @project_types = ProjectType.all
    render :partial=>'list', :layout=>false
  end

  def destroy
    project_type = ProjectType.find(params[:id])
    project_type.destroy
    @project_types = ProjectType.all
    render :partial=>'list', :layout=>false
  end

  private

  def project_type_params
    params.require(:project_type).permit! rescue nil
  end
end