Rails.application.routes.draw do
	locales = Site.find_by(site_active: true).in_use_locales rescue I18n.available_locales
	scope "(:locale)", locale: Regexp.new(locales.join("|")) do
		namespace :admin do
      get 'project_setting' => "projects#setting"
      get 'projects/download_excel_format' => 'projects#excel_format'
      post 'projects/import_from_excel' => 'projects#import_from_excel'

      resources :projects do
        collection do
          get 'toggle_hide' => 'projects#toggle_hide'
        end
      end

      resources :members do
        collection do
          scope '(:name-:uid)' do
            resources :projects do
              collection do
                get 'frontend_setting' => 'projects#frontend_setting'
                post 'update_frontend_setting' => 'projects#update_frontend_setting'
              end
            end
          end
        end
      end
      
      resources :project_types
      post "project_types/update_order" => "project_types#update_order"
		end
	end
end
